"""
This module contains all UIKit classes.
"""

if __host__ is widget:
    raise ImportError("Cannot display an user interface on a widget due to memory issues.")

if __platform__ is not iOS:
    raise ImportError("UIKit can only be imported on iOS.")

from rubicon.objc import *

def __class__(name):
    try:
        return ObjCClass(name)
    except:
        return None

UIApplication = __class__("UIApplication")
UIDevice = __class__("UIDevice")
UITraitCollection = __class__("UITraitCollection")
UIDocument = __class__("UIDocument")
UIManagedDocument = __class__("UIManagedDocument")
UIPasteboard = __class__("UIPasteboard")
UIPasteConfiguration = __class__("UIPasteConfiguration")
UIPasteConfigurationSupporting = __class__("UIPasteConfigurationSupporting")
UIDataSourceModelAssociation = __class__("UIDataSourceModelAssociation")
NSUserActivity = __class__("NSUserActivity")
UIUserActivityRestoring = __class__("UIUserActivityRestoring")
UIActivity = __class__("UIActivity")
UIActivityViewController = __class__("UIActivityViewController")
UIActivityItemSource = __class__("UIActivityItemSource")
UIActivityItemProvider = __class__("UIActivityItemProvider")
UIGuidedAccessRestrictionStateForIdentifier = __class__("UIGuidedAccessRestrictionStateForIdentifier")
UIStoryboard = __class__("UIStoryboard")
UIStoryboardSegue = __class__("UIStoryboardSegue")
UIStoryboardUnwindSegueSource = __class__("UIStoryboardUnwindSegueSource")
UIImageAsset = __class__("UIImageAsset")
NSDataAsset = __class__("NSDataAsset")
UINib = __class__("UINib")
NSExtensionRequestHandling = __class__("NSExtensionRequestHandling")
NSExtensionContext = __class__("NSExtensionContext")
UIDocumentPickerExtensionViewController = __class__("UIDocumentPickerExtensionViewController")
NSFileProviderExtension = __class__("NSFileProviderExtension")
UITextDocumentProxy = __class__("UITextDocumentProxy")
UIInputViewAudioFeedback = __class__("UIInputViewAudioFeedback")
UIInputViewController = __class__("UIInputViewController")
UILexicon = __class__("UILexicon")
UILexiconEntry = __class__("UILexiconEntry")
UIView = __class__("UIView")
UIStackView = __class__("UIStackView")
UIScrollView = __class__("UIScrollView")
UIActivityIndicatorView = __class__("UIActivityIndicatorView")
UIImageView = __class__("UIImageView")
UIPickerView = __class__("UIPickerView")
UIProgressView = __class__("UIProgressView")
UIControl = __class__("UIControl")
UIButton = __class__("UIButton")
UIDatePicker = __class__("UIDatePicker")
UIPageControl = __class__("UIPageControl")
UISegmentedControl = __class__("UISegmentedControl")
UISlider = __class__("UISlider")
UIStepper = __class__("UIStepper")
UISwitch = __class__("UISwitch")
UILabel = __class__("UILabel")
UITextField = __class__("UITextField")
UITextView = __class__("UITextView")
UIVisualEffect = __class__("UIVisualEffect")
UIVisualEffectView = __class__("UIVisualEffectView")
UIVibrancyEffect = __class__("UIVibrancyEffect")
UIBlurEffect = __class__("UIBlurEffect")
UIBarItem = __class__("UIBarItem")
UIBarButtonItem = __class__("UIBarButtonItem")
UIBarButtonItemGroup = __class__("UIBarButtonItemGroup")
UINavigationBar = __class__("UINavigationBar")
UISearchBar = __class__("UISearchBar")
UIToolbar = __class__("UIToolbar")
UITabBar = __class__("UITabBar")
UITabBarItem = __class__("UITabBarItem")
UIBarPositioning = __class__("UIBarPositioning")
UIAppearance = __class__("UIAppearance")
UIAppearanceContainer = __class__("UIAppearanceContainer")
UIEdgeInsets = __class__("UIEdgeInsets")
NSDirectionalEdgeInsets = __class__("NSDirectionalEdgeInsets")
UIOffset = __class__("UIOffset")
UIViewController = __class__("UIViewController")
UITableViewController = __class__("UITableViewController")
UICollectionViewController = __class__("UICollectionViewController")
UIContentContainer = __class__("UIContentContainer")
UISplitViewController = __class__("UISplitViewController")
UINavigationController = __class__("UINavigationController")
UINavigationItem = __class__("UINavigationItem")
UIPageViewController = __class__("UIPageViewController")
UITabBarController = __class__("UITabBarController")
UISearchContainerViewController = __class__("UISearchContainerViewController")
UISearchController = __class__("UISearchController")
UISearchResultsUpdating = __class__("UISearchResultsUpdating")
UIImagePickerController = __class__("UIImagePickerController")
UIVideoEditorController = __class__("UIVideoEditorController")
UIDocumentBrowserViewController = __class__("UIDocumentBrowserViewController")
UIDocumentPickerViewController = __class__("UIDocumentPickerViewController")
UIDocumentInteractionController = __class__("UIDocumentInteractionController")
UICloudSharingController = __class__("UICloudSharingController")
UIReferenceLibraryViewController = __class__("UIReferenceLibraryViewController")
UIPrinterPickerController = __class__("UIPrinterPickerController")
UIPresentationController = __class__("UIPresentationController")
UIViewControllerRestoration = __class__("UIViewControllerRestoration")
UIObjectRestoration = __class__("UIObjectRestoration")
UIStateRestoring = __class__("UIStateRestoring")
UIInterfaceOrientationIsPortrait = __class__("UIInterfaceOrientationIsPortrait")
UIInterfaceOrientationIsLandscape = __class__("UIInterfaceOrientationIsLandscape")
NSLayoutConstraint = __class__("NSLayoutConstraint")
UILayoutSupport = __class__("UILayoutSupport")
NSDictionaryOfVariableBindings = __class__("NSDictionaryOfVariableBindings")
UILayoutGuide = __class__("UILayoutGuide")
NSLayoutDimension = __class__("NSLayoutDimension")
NSLayoutAnchor = __class__("NSLayoutAnchor")
NSLayoutXAxisAnchor = __class__("NSLayoutXAxisAnchor")
NSLayoutYAxisAnchor = __class__("NSLayoutYAxisAnchor")
UIFeedbackGenerator = __class__("UIFeedbackGenerator")
UIImpactFeedbackGenerator = __class__("UIImpactFeedbackGenerator")
UINotificationFeedbackGenerator = __class__("UINotificationFeedbackGenerator")
UISelectionFeedbackGenerator = __class__("UISelectionFeedbackGenerator")
UIWindow = __class__("UIWindow")
UICoordinateSpace = __class__("UICoordinateSpace")
UIPopoverPresentationController = __class__("UIPopoverPresentationController")
UIPopoverBackgroundView = __class__("UIPopoverBackgroundView")
UIPopoverBackgroundViewMethods = __class__("UIPopoverBackgroundViewMethods")
UIAlertController = __class__("UIAlertController")
UIAlertAction = __class__("UIAlertAction")
UIScreen = __class__("UIScreen")
UIScreenMode = __class__("UIScreenMode")
UIResponder = __class__("UIResponder")
UIEvent = __class__("UIEvent")
UITouch = __class__("UITouch")
UIPress = __class__("UIPress")
UIPressesEvent = __class__("UIPressesEvent")
UILongPressGestureRecognizer = __class__("UILongPressGestureRecognizer")
UIPanGestureRecognizer = __class__("UIPanGestureRecognizer")
UIGestureRecognizer = __class__("UIGestureRecognizer")
UIPinchGestureRecognizer = __class__("UIPinchGestureRecognizer")
UIScreenEdgePanGestureRecognizer = __class__("UIScreenEdgePanGestureRecognizer")
UISwipeGestureRecognizer = __class__("UISwipeGestureRecognizer")
UIRotationGestureRecognizer = __class__("UIRotationGestureRecognizer")
UITapGestureRecognizer = __class__("UITapGestureRecognizer")
UIDragInteraction = __class__("UIDragInteraction")
UIDropInteraction = __class__("UIDropInteraction")
UISpringLoadedInteractionBehavior = __class__("UISpringLoadedInteractionBehavior")
UISpringLoadedInteractionSupporting = __class__("UISpringLoadedInteractionSupporting")
UISpringLoadedInteraction = __class__("UISpringLoadedInteraction")
UISpringLoadedInteractionContext = __class__("UISpringLoadedInteractionContext")
UISpringLoadedInteractionEffect = __class__("UISpringLoadedInteractionEffect")
UIDragItem = __class__("UIDragItem")
UIDragDropSession = __class__("UIDragDropSession")
UIDragSession = __class__("UIDragSession")
UIDragAnimating = __class__("UIDragAnimating")
UIDropSession = __class__("UIDropSession")
UIDropProposal = __class__("UIDropProposal")
UIDropOperation = __class__("UIDropOperation")
UIDropSessionProgressIndicatorStyle = __class__("UIDropSessionProgressIndicatorStyle")
NSItemProvider = __class__("NSItemProvider")
NSItemProviderReading = __class__("NSItemProviderReading")
NSItemProviderWriting = __class__("NSItemProviderWriting")
UIItemProviderPresentationSizeProviding = __class__("UIItemProviderPresentationSizeProviding")
UIDragPreviewParameters = __class__("UIDragPreviewParameters")
UIDragPreview = __class__("UIDragPreview")
UIDragPreviewTarget = __class__("UIDragPreviewTarget")
UITargetedDragPreview = __class__("UITargetedDragPreview")
UIPencilInteraction = __class__("UIPencilInteraction")
UIFocusEnvironment = __class__("UIFocusEnvironment")
UIFocusSystem = __class__("UIFocusSystem")
UIFocusUpdateContext = __class__("UIFocusUpdateContext")
UIFocusItem = __class__("UIFocusItem")
UIFocusMovementHint = __class__("UIFocusMovementHint")
UIFocusItemContainer = __class__("UIFocusItemContainer")
UIFocusItemScrollableContainer = __class__("UIFocusItemScrollableContainer")
UIFocusGuide = __class__("UIFocusGuide")
UIFocusDebugger = __class__("UIFocusDebugger")
UIFocusAnimationCoordinator = __class__("UIFocusAnimationCoordinator")
UIViewControllerPreviewing = __class__("UIViewControllerPreviewing")
UIPreviewAction = __class__("UIPreviewAction")
UIPreviewActionItem = __class__("UIPreviewActionItem")
UIPreviewActionGroup = __class__("UIPreviewActionGroup")
UIPreviewInteraction = __class__("UIPreviewInteraction")
UIApplicationShortcutIcon = __class__("UIApplicationShortcutIcon")
UIApplicationShortcutItem = __class__("UIApplicationShortcutItem")
UIMutableApplicationShortcutItem = __class__("UIMutableApplicationShortcutItem")
UIKeyInput = __class__("UIKeyInput")
UIKeyCommand = __class__("UIKeyCommand")
UIMenuController = __class__("UIMenuController")
UIMenuItem = __class__("UIMenuItem")
UIResponderStandardEditActions = __class__("UIResponderStandardEditActions")
UIInputView = __class__("UIInputView")
UIAccessibilityIdentification = __class__("UIAccessibilityIdentification")
UIAccessibilityReadingContent = __class__("UIAccessibilityReadingContent")
UIAccessibilityContentSizeCategoryImageAdjusting = __class__("UIAccessibilityContentSizeCategoryImageAdjusting")
UIAccessibilityAction = __class__("UIAccessibilityAction")
UIAccessibilityCustomAction = __class__("UIAccessibilityCustomAction")
UIAccessibilityElement = __class__("UIAccessibilityElement")
UIAccessibilityContainerDataTable = __class__("UIAccessibilityContainerDataTable")
UIAccessibilityContainerDataTableCell = __class__("UIAccessibilityContainerDataTableCell")
UIAccessibilityContainerType = __class__("UIAccessibilityContainerType")
UIAccessibilityCustomRotor = __class__("UIAccessibilityCustomRotor")
UIAccessibilityCustomRotorItemResult = __class__("UIAccessibilityCustomRotorItemResult")
UIAccessibilityCustomRotorSearchPredicate = __class__("UIAccessibilityCustomRotorSearchPredicate")
UIAccessibilityLocationDescriptor = __class__("UIAccessibilityLocationDescriptor")
UIAccessibilityPostNotification = __class__("UIAccessibilityPostNotification")
UIAccessibilityConvertFrameToScreenCoordinates = __class__("UIAccessibilityConvertFrameToScreenCoordinates")
UIAccessibilityConvertPathToScreenCoordinates = __class__("UIAccessibilityConvertPathToScreenCoordinates")
UIAccessibilityVoiceOverStatusDidChangeNotification = __class__("UIAccessibilityVoiceOverStatusDidChangeNotification")
UIAccessibilityFocusedElement = __class__("UIAccessibilityFocusedElement")
UIAccessibilityHearingDevicePairedEar = __class__("UIAccessibilityHearingDevicePairedEar")
UIAccessibilityHearingDeviceEar = __class__("UIAccessibilityHearingDeviceEar")
UIAccessibilityRegisterGestureConflictWithZoom = __class__("UIAccessibilityRegisterGestureConflictWithZoom")
UIAccessibilityRequestGuidedAccessSession = __class__("UIAccessibilityRequestGuidedAccessSession")
UIAccessibilityZoomFocusChanged = __class__("UIAccessibilityZoomFocusChanged")
UIAccessibilityIsAssistiveTouchRunning = __class__("UIAccessibilityIsAssistiveTouchRunning")
UIAccessibilityIsVoiceOverRunning = __class__("UIAccessibilityIsVoiceOverRunning")
UIAccessibilityIsSwitchControlRunning = __class__("UIAccessibilityIsSwitchControlRunning")
UIAccessibilityIsShakeToUndoEnabled = __class__("UIAccessibilityIsShakeToUndoEnabled")
UIAccessibilityIsClosedCaptioningEnabled = __class__("UIAccessibilityIsClosedCaptioningEnabled")
UIAccessibilityIsBoldTextEnabled = __class__("UIAccessibilityIsBoldTextEnabled")
UIAccessibilityDarkerSystemColorsEnabled = __class__("UIAccessibilityDarkerSystemColorsEnabled")
UIAccessibilityIsGrayscaleEnabled = __class__("UIAccessibilityIsGrayscaleEnabled")
UIAccessibilityIsGuidedAccessEnabled = __class__("UIAccessibilityIsGuidedAccessEnabled")
UIAccessibilityIsInvertColorsEnabled = __class__("UIAccessibilityIsInvertColorsEnabled")
UIAccessibilityIsMonoAudioEnabled = __class__("UIAccessibilityIsMonoAudioEnabled")
UIAccessibilityIsReduceMotionEnabled = __class__("UIAccessibilityIsReduceMotionEnabled")
UIAccessibilityIsReduceTransparencyEnabled = __class__("UIAccessibilityIsReduceTransparencyEnabled")
UIAccessibilityIsSpeakScreenEnabled = __class__("UIAccessibilityIsSpeakScreenEnabled")
UIAccessibilityIsSpeakSelectionEnabled = __class__("UIAccessibilityIsSpeakSelectionEnabled")
UIImage = __class__("UIImage")
UIGraphicsBeginImageContext = __class__("UIGraphicsBeginImageContext")
UIGraphicsGetImageFromCurrentImageContext = __class__("UIGraphicsGetImageFromCurrentImageContext")
UIGraphicsEndImageContext = __class__("UIGraphicsEndImageContext")
UIImageJPEGRepresentation = __class__("UIImageJPEGRepresentation")
UIImagePNGRepresentation = __class__("UIImagePNGRepresentation")
UIImageWriteToSavedPhotosAlbum = __class__("UIImageWriteToSavedPhotosAlbum")
UISaveVideoAtPathToSavedPhotosAlbum = __class__("UISaveVideoAtPathToSavedPhotosAlbum")
UIVideoAtPathIsCompatibleWithSavedPhotosAlbum = __class__("UIVideoAtPathIsCompatibleWithSavedPhotosAlbum")
UIGraphicsBeginPDFContextToData = __class__("UIGraphicsBeginPDFContextToData")
UIGraphicsBeginPDFContextToFile = __class__("UIGraphicsBeginPDFContextToFile")
UIGraphicsEndPDFContext = __class__("UIGraphicsEndPDFContext")
UIGraphicsBeginPDFPage = __class__("UIGraphicsBeginPDFPage")
UIGraphicsBeginPDFPageWithInfo = __class__("UIGraphicsBeginPDFPageWithInfo")
UIGraphicsGetPDFContextBounds = __class__("UIGraphicsGetPDFContextBounds")
UIGraphicsAddPDFContextDestinationAtPoint = __class__("UIGraphicsAddPDFContextDestinationAtPoint")
UIGraphicsSetPDFContextDestinationForRect = __class__("UIGraphicsSetPDFContextDestinationForRect")
UIGraphicsSetPDFContextURLForRect = __class__("UIGraphicsSetPDFContextURLForRect")
UIGraphicsRenderer = __class__("UIGraphicsRenderer")
UIGraphicsRendererContext = __class__("UIGraphicsRendererContext")
UIGraphicsRendererFormat = __class__("UIGraphicsRendererFormat")
UIGraphicsImageRenderer = __class__("UIGraphicsImageRenderer")
UIGraphicsImageRendererContext = __class__("UIGraphicsImageRendererContext")
UIGraphicsImageRendererFormat = __class__("UIGraphicsImageRendererFormat")
UIGraphicsPDFRenderer = __class__("UIGraphicsPDFRenderer")
UIGraphicsPDFDrawingActions = __class__("UIGraphicsPDFDrawingActions")
UIGraphicsPDFRendererContext = __class__("UIGraphicsPDFRendererContext")
UIGraphicsPDFRendererFormat = __class__("UIGraphicsPDFRendererFormat")
UIColor = __class__("UIColor")
UIBezierPath = __class__("UIBezierPath")
UIRectFill = __class__("UIRectFill")
UIRectFillUsingBlendMode = __class__("UIRectFillUsingBlendMode")
UIRectFrame = __class__("UIRectFrame")
UIRectFrameUsingBlendMode = __class__("UIRectFrameUsingBlendMode")
NSStringDrawingContext = __class__("NSStringDrawingContext")
NSStringDrawingOptions = __class__("NSStringDrawingOptions")
UIBaselineAdjustment = __class__("UIBaselineAdjustment")
NSShadow = __class__("NSShadow")
UIGraphicsGetCurrentContext = __class__("UIGraphicsGetCurrentContext")
UIGraphicsPushContext = __class__("UIGraphicsPushContext")
UIGraphicsPopContext = __class__("UIGraphicsPopContext")
UIGraphicsBeginImageContextWithOptions = __class__("UIGraphicsBeginImageContextWithOptions")
UIRectClip = __class__("UIRectClip")
CGAffineTransformFromString = __class__("CGAffineTransformFromString")
CGPointFromString = __class__("CGPointFromString")
CGRectFromString = __class__("CGRectFromString")
CGSizeFromString = __class__("CGSizeFromString")
CGVectorFromString = __class__("CGVectorFromString")
NSStringFromCGAffineTransform = __class__("NSStringFromCGAffineTransform")
NSStringFromCGPoint = __class__("NSStringFromCGPoint")
NSStringFromCGRect = __class__("NSStringFromCGRect")
NSStringFromCGSize = __class__("NSStringFromCGSize")
NSStringFromCGVector = __class__("NSStringFromCGVector")
UIPrintInteractionController = __class__("UIPrintInteractionController")
UIPrintPageRenderer = __class__("UIPrintPageRenderer")
UIPrinter = __class__("UIPrinter")
UIPrintInfo = __class__("UIPrintInfo")
UIPrintPaper = __class__("UIPrintPaper")
UIPrintFormatter = __class__("UIPrintFormatter")
UIViewPrintFormatter = __class__("UIViewPrintFormatter")
UISimpleTextPrintFormatter = __class__("UISimpleTextPrintFormatter")
UIMarkupTextPrintFormatter = __class__("UIMarkupTextPrintFormatter")
NSLayoutManager = __class__("NSLayoutManager")
NSTextStorage = __class__("NSTextStorage")
NSTextLayoutOrientationProvider = __class__("NSTextLayoutOrientationProvider")
UIFont = __class__("UIFont")
UIFontDescriptor = __class__("UIFontDescriptor")
UIFontDescriptorSymbolicTraits = __class__("UIFontDescriptorSymbolicTraits")
UIContentSizeCategoryAdjusting = __class__("UIContentSizeCategoryAdjusting")
UIFontMetrics = __class__("UIFontMetrics")
UITextChecker = __class__("UITextChecker")
NSTextContainer = __class__("NSTextContainer")
NSAttributedString = __class__("NSAttributedString")
UITextPosition = __class__("UITextPosition")
UITextRange = __class__("UITextRange")
UITextSelectionRect = __class__("UITextSelectionRect")
NSParagraphStyle = __class__("NSParagraphStyle")
NSMutableParagraphStyle = __class__("NSMutableParagraphStyle")
NSTextTab = __class__("NSTextTab")
NSTextAttachment = __class__("NSTextAttachment")
NSTextAttachmentContainer = __class__("NSTextAttachmentContainer")
NSTextAlignmentToCTTextAlignment = __class__("NSTextAlignmentToCTTextAlignment")
NSTextAlignmentFromCTTextAlignment = __class__("NSTextAlignmentFromCTTextAlignment")
UITextInputTraits = __class__("UITextInputTraits")
UITextInputAssistantItem = __class__("UITextInputAssistantItem")
UITextInput = __class__("UITextInput")
UITextInputTokenizer = __class__("UITextInputTokenizer")
UITextInputMode = __class__("UITextInputMode")
UITextInputStringTokenizer = __class__("UITextInputStringTokenizer")
UIDictationPhrase = __class__("UIDictationPhrase")

__allClasses__ = ['UIApplication', 'UIDevice', 'UITraitCollection', 'UITraitEnvironment', 'UIDocument', 'UIManagedDocument', 'UIPasteboard', 'UIPasteConfiguration', 'UIPasteConfigurationSupporting', 'UIDataSourceModelAssociation', 'NSUserActivity', 'UIUserActivityRestoring', 'UIActivity', 'UIActivityViewController', 'UIActivityItemSource', 'UIActivityItemProvider', 'UIGuidedAccessRestrictionStateForIdentifier', 'UIStoryboard', 'UIStoryboardSegue', 'UIStoryboardUnwindSegueSource', 'UIImageAsset', 'NSDataAsset', 'UINib', 'NSExtensionRequestHandling', 'NSExtensionContext', 'UIDocumentPickerExtensionViewController', 'NSFileProviderExtension', 'UITextDocumentProxy', 'UIInputViewAudioFeedback', 'UIInputViewController', 'UILexicon', 'UILexiconEntry', 'UIView', 'UIStackView', 'UIScrollView', 'UIActivityIndicatorView', 'UIImageView', 'UIPickerView', 'UIProgressView', 'UIControl', 'UIButton', 'UIDatePicker', 'UIPageControl', 'UISegmentedControl', 'UISlider', 'UIStepper', 'UISwitch', 'UILabel', 'UITextField', 'UITextView', 'UIVisualEffect', 'UIVisualEffectView', 'UIVibrancyEffect', 'UIBlurEffect', 'UIBarItem', 'UIBarButtonItem', 'UIBarButtonItemGroup', 'UINavigationBar', 'UISearchBar', 'UIToolbar', 'UITabBar', 'UITabBarItem', 'UIBarPositioning', 'UIAppearance', 'UIAppearanceContainer', 'UIEdgeInsets', 'NSDirectionalEdgeInsets', 'UIOffset', 'UIViewController', 'UITableViewController', 'UICollectionViewController', 'UIContentContainer', 'UISplitViewController', 'UINavigationController', 'UINavigationItem', 'UIPageViewController', 'UITabBarController', 'UISearchContainerViewController', 'UISearchController', 'UISearchResultsUpdating', 'UIImagePickerController', 'UIVideoEditorController', 'UIDocumentBrowserViewController', 'UIDocumentPickerViewController', 'UIDocumentInteractionController', 'UICloudSharingController', 'UIReferenceLibraryViewController', 'UIPrinterPickerController', 'UIPresentationController', 'UIViewControllerRestoration', 'UIObjectRestoration', 'UIStateRestoring', 'UIInterfaceOrientationIsPortrait', 'UIInterfaceOrientationIsLandscape', 'NSLayoutConstraint', 'UILayoutSupport', 'NSDictionaryOfVariableBindings', 'UILayoutGuide', 'NSLayoutDimension', 'NSLayoutAnchor', 'NSLayoutXAxisAnchor', 'NSLayoutYAxisAnchor', 'UIFeedbackGenerator', 'UIImpactFeedbackGenerator', 'UINotificationFeedbackGenerator', 'UISelectionFeedbackGenerator', 'UIWindow', 'UICoordinateSpace', 'UIPopoverPresentationController', 'UIPopoverBackgroundView', 'UIPopoverBackgroundViewMethods', 'UIAlertController', 'UIAlertAction', 'UIScreen', 'UIScreenMode', 'UIResponder', 'UIEvent', 'UITouch', 'UIPress', 'UIPressesEvent', 'UILongPressGestureRecognizer', 'UIPanGestureRecognizer', 'UIGestureRecognizer', 'UIPinchGestureRecognizer', 'UIScreenEdgePanGestureRecognizer', 'UISwipeGestureRecognizer', 'UIRotationGestureRecognizer', 'UITapGestureRecognizer', 'UIDragInteraction', 'UIDropInteraction', 'UISpringLoadedInteractionBehavior', 'UISpringLoadedInteractionSupporting', 'UISpringLoadedInteraction', 'UISpringLoadedInteractionContext', 'UISpringLoadedInteractionEffect', 'UIDragItem', 'UIDragDropSession', 'UIDragSession', 'UIDragAnimating', 'UIDropSession', 'UIDropProposal', 'UIDropOperation', 'UIDropSessionProgressIndicatorStyle', 'NSItemProvider', 'NSItemProviderReading', 'NSItemProviderWriting', 'UIItemProviderPresentationSizeProviding', 'UIDragPreviewParameters', 'UIDragPreview', 'UIDragPreviewTarget', 'UITargetedDragPreview', 'UIPencilInteraction', 'UIFocusEnvironment', 'UIFocusSystem', 'UIFocusUpdateContext', 'UIFocusItem', 'UIFocusMovementHint', 'UIFocusItemContainer', 'UIFocusItemScrollableContainer', 'UIFocusGuide', 'UIFocusDebugger', 'UIFocusAnimationCoordinator', 'UIViewControllerPreviewing', 'UIPreviewAction', 'UIPreviewActionItem', 'UIPreviewActionGroup', 'UIPreviewInteraction', 'UIApplicationShortcutIcon', 'UIApplicationShortcutItem', 'UIMutableApplicationShortcutItem', 'UIKeyInput', 'UIKeyCommand', 'UIMenuController', 'UIMenuItem', 'UIResponderStandardEditActions', 'UIInputView', 'UIAccessibilityIdentification', 'UIAccessibilityReadingContent', 'UIAccessibilityContentSizeCategoryImageAdjusting', 'UIAccessibilityAction', 'UIAccessibilityCustomAction', 'UIAccessibilityElement', 'UIAccessibilityContainerDataTable', 'UIAccessibilityContainerDataTableCell', 'UIAccessibilityContainerType', 'UIAccessibilityCustomRotor', 'UIAccessibilityCustomRotorItemResult', 'UIAccessibilityCustomRotorSearchPredicate', 'UIAccessibilityLocationDescriptor', 'UIAccessibilityPostNotification', 'UIAccessibilityConvertFrameToScreenCoordinates', 'UIAccessibilityConvertPathToScreenCoordinates', 'UIAccessibilityVoiceOverStatusDidChangeNotification', 'UIAccessibilityFocusedElement', 'UIAccessibilityHearingDevicePairedEar', 'UIAccessibilityHearingDeviceEar', 'UIAccessibilityRegisterGestureConflictWithZoom', 'UIAccessibilityRequestGuidedAccessSession', 'UIAccessibilityZoomFocusChanged', 'UIAccessibilityIsAssistiveTouchRunning', 'UIAccessibilityIsVoiceOverRunning', 'UIAccessibilityIsSwitchControlRunning', 'UIAccessibilityIsShakeToUndoEnabled', 'UIAccessibilityIsClosedCaptioningEnabled', 'UIAccessibilityIsBoldTextEnabled', 'UIAccessibilityDarkerSystemColorsEnabled', 'UIAccessibilityIsGrayscaleEnabled', 'UIAccessibilityIsGuidedAccessEnabled', 'UIAccessibilityIsInvertColorsEnabled', 'UIAccessibilityIsMonoAudioEnabled', 'UIAccessibilityIsReduceMotionEnabled', 'UIAccessibilityIsReduceTransparencyEnabled', 'UIAccessibilityIsSpeakScreenEnabled', 'UIAccessibilityIsSpeakSelectionEnabled', 'UIImage', 'UIGraphicsBeginImageContext', 'UIGraphicsGetImageFromCurrentImageContext', 'UIGraphicsEndImageContext', 'UIImageJPEGRepresentation', 'UIImagePNGRepresentation', 'UIImageWriteToSavedPhotosAlbum', 'UISaveVideoAtPathToSavedPhotosAlbum', 'UIVideoAtPathIsCompatibleWithSavedPhotosAlbum', 'UIGraphicsBeginPDFContextToData', 'UIGraphicsBeginPDFContextToFile', 'UIGraphicsEndPDFContext', 'UIGraphicsBeginPDFPage', 'UIGraphicsBeginPDFPageWithInfo', 'UIGraphicsGetPDFContextBounds', 'UIGraphicsAddPDFContextDestinationAtPoint', 'UIGraphicsSetPDFContextDestinationForRect', 'UIGraphicsSetPDFContextURLForRect', 'UIGraphicsRenderer', 'UIGraphicsRendererContext', 'UIGraphicsRendererFormat', 'UIGraphicsImageRenderer', 'UIGraphicsImageRendererContext', 'UIGraphicsImageRendererFormat', 'UIGraphicsPDFRenderer', 'UIGraphicsPDFDrawingActions', 'UIGraphicsPDFRendererContext', 'UIGraphicsPDFRendererFormat', 'UIColor', 'UIBezierPath', 'UIRectFill', 'UIRectFillUsingBlendMode', 'UIRectFrame', 'UIRectFrameUsingBlendMode', 'NSStringDrawingContext', 'NSStringDrawingOptions', 'UIBaselineAdjustment', 'NSShadow', 'UIGraphicsGetCurrentContext', 'UIGraphicsPushContext', 'UIGraphicsPopContext', 'UIGraphicsBeginImageContextWithOptions', 'UIRectClip', 'CGAffineTransformFromString', 'CGPointFromString', 'CGRectFromString', 'CGSizeFromString', 'CGVectorFromString', 'NSStringFromCGAffineTransform', 'NSStringFromCGPoint', 'NSStringFromCGRect', 'NSStringFromCGSize', 'NSStringFromCGVector', 'UIPrintInteractionController', 'UIPrintPageRenderer', 'UIPrinter', 'UIPrintInfo', 'UIPrintPaper', 'UIPrintFormatter', 'UIViewPrintFormatter', 'UISimpleTextPrintFormatter', 'UIMarkupTextPrintFormatter', 'NSLayoutManager', 'NSTextStorage', 'NSTextLayoutOrientationProvider', 'UIFont', 'UIFontDescriptor', 'UIFontDescriptorSymbolicTraits', 'UIContentSizeCategoryAdjusting', 'UIFontMetrics', 'UITextChecker', 'NSTextContainer', 'NSAttributedString', 'UITextPosition', 'UITextRange', 'UITextSelectionRect', 'NSParagraphStyle', 'NSMutableParagraphStyle', 'NSTextTab', 'NSTextAttachment', 'NSTextAttachmentContainer', 'NSTextAlignmentToCTTextAlignment', 'NSTextAlignmentFromCTTextAlignment', 'UITextInputTraits', 'UITextInputAssistantItem', 'UITextInput', 'UITextInputTokenizer', 'UITextInputMode', 'UITextInputStringTokenizer', 'UIDictationPhrase']

__allValidClasses__ = []

for class_ in __allClasses__:
    try:
        ObjCClass(class_)
        __allValidClasses__.append(class_)
    except:
        continue

__all__ = __allValidClasses__
